Package com.avaya.clientservices.presence

## Interface PresenceListSubscription

-     public interface PresenceListSubscription

  An ad hoc presence list subscription.

  This class provides an interface for watching the presence of a group of users specified by their addresses. The addresses must be recognizable by the presence server the user is connected to.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAddress​(java.lang.String address)` | Adds an address to the subscription to start watching the presence of the user associated with the specified address.
    `void` | `addListener​(PresenceListSubscriptionListener listener)` | Adds the listener with this presence list subscription.
    `void` | `removeAddress​(java.lang.String address)` | Removes an address from the subscription.
    `void` | `removeListener​(PresenceListSubscriptionListener listener)` | Removes the listener previously registered with this presence list subscription.
    `void` | `start()` | Starts the subscription and watching presence for the subscribed addresses.
    `void` | `stop()` | Stops the subscription.

- - ### Method Detail

    - #### addListener

          void addListener​(PresenceListSubscriptionListener listener)

      Adds the listener with this presence list subscription.
      Parameters:
        `listener` - `PresenceListSubscriptionListener` to register with this object.

    - #### removeListener

          void removeListener​(PresenceListSubscriptionListener listener)

      Removes the listener previously registered with this presence list subscription.
      Parameters:
        `listener` - `PresenceListSubscriptionListener` to unregister from this object.

    - #### addAddress

          void addAddress​(java.lang.String address)

      Adds an address to the subscription to start watching the presence of the user associated with the specified address.

      It is allowed to add new addresses to the subscription after the subscription has been started.

      Parameters:
        `address` - The address to add to the subscription.

    - #### removeAddress

          void removeAddress​(java.lang.String address)

      Removes an address from the subscription.

      It is allowed to remove addresses from the subscription after the subscription has been started.

      Parameters:
        `address` - The address to remove from the subscription.

    - #### start

          void start()

      Starts the subscription and watching presence for the subscribed addresses.

    - #### stop

          void stop()

      Stops the subscription.